summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Markus Hutmacher2013-06-30 21:11:16 +0200
committer Erik Hanson2013-06-30 21:11:16 +0200
commitc8549aa149d41b27ce5a50ea598968729d03544e (patch)
tree3d40fa075f77e3bf3ec4e69afee7639a1bad16e3
parent78143eba8777537696e2887ef94878b73167da03 (diff)
downloadslackbuilds-c8549aa149d41b27ce5a50ea598968729d03544e.tar.gz
office/pdfpc: Added (a GTK based presentation viewer application)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--office/pdfpc/README11
-rw-r--r--office/pdfpc/pdfpc.SlackBuild54
-rw-r--r--office/pdfpc/pdfpc.info10
-rw-r--r--office/pdfpc/slack-desc19
4 files changed, 94 insertions, 0 deletions
diff --git a/office/pdfpc/README b/office/pdfpc/README
new file mode 100644
index 0000000000..214dcefabc
--- /dev/null
+++ b/office/pdfpc/README
@@ -0,0 +1,11 @@
+pdfpc is a GTK based presentation viewer application for GNU/Linux which uses
+Keynote like multi-monitor output to provide meta information to the speaker
+during the presentation. It is able to show a normal presentation window on one
+screen, while showing a more sophisticated overview on the other one providing
+information like a picture of the next slide, as well as the left over time
+till the end of the presentation. The input files processed by pdfpc are PDF
+documents, which can be created using nearly any of today's presentation
+software.
+
+A demo presentation can be downloaded at
+https://github.com/downloads/davvil/pdfpc/pdfpc-demo.pdf
diff --git a/office/pdfpc/pdfpc.SlackBuild b/office/pdfpc/pdfpc.SlackBuild
new file mode 100644
index 0000000000..4008bb738a
--- /dev/null
+++ b/office/pdfpc/pdfpc.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for pdfpc
+
+# Written by Markus Hutmacher <mailing@markhu.de>
+
+PRGNAM=pdfpc
+VERSION=${VERSION:-3.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONFDIR=/etc .
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m 0644 CHANGELOG.txt README.rst LICENSE.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mv $PKG/usr/share/man/ $PKG/usr/man/
+gzip $PKG/usr/man/man1/$PRGNAM.1
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/pdfpc/pdfpc.info b/office/pdfpc/pdfpc.info
new file mode 100644
index 0000000000..8cf5535501
--- /dev/null
+++ b/office/pdfpc/pdfpc.info
@@ -0,0 +1,10 @@
+PRGNAM="pdfpc"
+VERSION="3.1.1"
+HOMEPAGE="http://davvil.github.io/pdfpc"
+DOWNLOAD="https://github.com/downloads/davvil/pdfpc/pdfpc-3.1.1.tgz"
+MD5SUM="e30fcf39429abf365cadc1d0653f9017"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libgee"
+MAINTAINER="Markus Hutmacher"
+EMAIL="mailing@markhu.de"
diff --git a/office/pdfpc/slack-desc b/office/pdfpc/slack-desc
new file mode 100644
index 0000000000..ccb86f8489
--- /dev/null
+++ b/office/pdfpc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pdfpc: pdfpc (a GTK based presentation viewer application)
+pdfpc:
+pdfpc: pdfpc uses multi-monitor output to provide meta information to the
+pdfpc: speaker during the presentation.
+pdfpc:
+pdfpc: The input files processed by pdfpc are PDF documents, which can be
+pdfpc: created using nearly any of today's presentation software.
+pdfpc:
+pdfpc: A demo presentation can be downloaded at
+pdfpc: https://github.com/downloads/davvil/pdfpc/pdfpc-demo.pdf
+pdfpc: